# INSTANT CLEAN




**Instant Clean** is a single click mesh clean addon for Blender. Save yourself some time and nerves by automating the mesh clean process.  

## MAIN FEATURES


### Ultimate Mesh Clean  

The all in one solution, where you know exactly what happened.  

![](https://markets-rails.s3.amazonaws.com/cache/7c2b722f6f656c9d3349d0f2e7ad1941.webp)  

Execute all operations with a single click.  


### Presets

The heart of all Time Savers. Focus on the creative part.  

![](https://markets-rails.s3.amazonaws.com/cache/ee09a3f60a33cdaf90983dc07ef58824.webp)  

Create and manage Presets with ease, you have full control.  


## ADDITIONAL FEATURES

**Single execution**  allows every part of the ultimate mesh clean to work on its own, even with detailed results. You can also add them to the Quick Favorites.

### Repair

The solution for most of the possible errors and damages in your meshes.  

![](https://markets-rails.s3.amazonaws.com/cache/802d8cf1479f107ca7215b9caa528518.webp)  

  

  

### Normals  

Fix face orientation issues and apply auto smooth.  

![](https://markets-rails.s3.amazonaws.com/cache/543cc08d40b14ddaf1b99f2f23a5a2c9.webp)  

  

### Dissolve

Remove unnecessary geometry while keeping the original shape.  

![](https://markets-rails.s3.amazonaws.com/cache/aa810a6b2c80dd2bc44f7d08be556914.webp)  

  

### Topology  

Convert the topology to the style you need.  

### ![](https://markets-rails.s3.amazonaws.com/cache/e996dbd65fadf4f48de0e32fba9ccf55.webp)  

  

### Objectdata

Don't mind about unused slots or groups anymore.  

### ![](https://markets-rails.s3.amazonaws.com/cache/4ceea53bcf811d86266dd2edeb556ce5.webp)  

For a full list of all features including detailed descriptions browse the [**Documentation**](https://instant-clean.readthedocs.io/en/latest/). 

  

# SUPPORT

If you have any questions, join me on  [**Discord**](https://discord.gg/TYFq6VKXCN).

----------

#### **Stay creative and have fun!**
Ruben Smith

##### Credits

3D Model House: "XX century italian house" (https://skfb.ly/69S9R) by yarogor is licensed under Creative Commons Attribution (http://creativecommons.org/licenses/by/4.0/). The mesh was edited to demonstrate all features of Instant Clean in one use.